package com.mortals.xhx.module.check.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.check.model.CheckComplainRecordEntity;
import com.mortals.xhx.module.check.dao.CheckComplainRecordDao;
/**
* CheckComplainRecordService
*
* 评价绩效投诉核查信息 service接口
*
* @author zxfei
* @date 2023-05-18
*/
public interface CheckComplainRecordService extends ICRUDService<CheckComplainRecordEntity,Long>{

    CheckComplainRecordDao getDao();

    /**
     * 核查人工审核
     * @param entity
     * @param context
     * @throws AppException
     */
    void examine(CheckComplainRecordEntity entity, Context context) throws AppException;
}