package com.mortals.xhx.module.perform.model;

import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.perform.model.PerformAttendAppealEntity;
/**
* 绩效记录申诉信息查询对象
*
* @author zxfei
* @date 2023-07-05
*/
public class PerformAttendAppealQuery extends PerformAttendAppealEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 核查记录Id */
    private Long checkRecordIdStart;

    /** 结束 核查记录Id */
    private Long checkRecordIdEnd;

    /** 增加 核查记录Id */
    private Long checkRecordIdIncrement;

    /** 核查记录Id列表 */
    private List <Long> checkRecordIdList;

    /** 核查记录Id排除列表 */
    private List <Long> checkRecordIdNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属考勤组ID */
    private Long attendanceGroupIdStart;

    /** 结束 所属考勤组ID */
    private Long attendanceGroupIdEnd;

    /** 增加 所属考勤组ID */
    private Long attendanceGroupIdIncrement;

    /** 所属考勤组ID列表 */
    private List <Long> attendanceGroupIdList;

    /** 所属考勤组ID排除列表 */
    private List <Long> attendanceGroupIdNotList;

    /** 所属考勤组名称 */
    private List<String> attendanceGroupNameList;

    /** 所属考勤组名称排除列表 */
    private List <String> attendanceGroupNameNotList;
    /** 开始 扣分时间 */
    private String attendanceDateStart;

    /** 结束 扣分时间 */
    private String attendanceDateEnd;

    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查) */
    private Integer subMethodStart;

    /** 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查) */
    private Integer subMethodEnd;

    /** 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查) */
    private Integer subMethodIncrement;

    /** 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)列表 */
    private List <Integer> subMethodList;

    /** 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)排除列表 */
    private List <Integer> subMethodNotList;

    /** 开始 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeStart;

    /** 结束 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeEnd;

    /** 增加 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeIncrement;

    /** 增减类型(1.增加,2.扣除)列表 */
    private List <Integer> subAddTypeList;

    /** 增减类型(1.增加,2.扣除)排除列表 */
    private List <Integer> subAddTypeNotList;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 上下班时间 */
    private List<String> goOffTimeStrList;

    /** 上下班时间排除列表 */
    private List <String> goOffTimeStrNotList;
    /** 开始 异常时间 */
    private String errorTimeStart;

    /** 结束 异常时间 */
    private String errorTimeEnd;

    /** 开始 实际打卡时间 */
    private String actualAttendTimeStart;

    /** 结束 实际打卡时间 */
    private String actualAttendTimeEnd;

    /** 异常处理结果 */
    private List<String> errorResultList;

    /** 异常处理结果排除列表 */
    private List <String> errorResultNotList;
    /** 核查人员 */
    private List<String> checkPersonList;

    /** 核查人员排除列表 */
    private List <String> checkPersonNotList;
    /** 开始 核查时间 */
    private String checkTimeStart;

    /** 结束 核查时间 */
    private String checkTimeEnd;

    /** 核查说明 */
    private List<String> checkDescList;

    /** 核查说明排除列表 */
    private List <String> checkDescNotList;
    /** 核查结果 */
    private List<String> checkResultList;

    /** 核查结果排除列表 */
    private List <String> checkResultNotList;
    /** 开始 处理状态(1.未处理,2.已处理) */
    private Integer processStatusStart;

    /** 结束 处理状态(1.未处理,2.已处理) */
    private Integer processStatusEnd;

    /** 增加 处理状态(1.未处理,2.已处理) */
    private Integer processStatusIncrement;

    /** 处理状态(1.未处理,2.已处理)列表 */
    private List <Integer> processStatusList;

    /** 处理状态(1.未处理,2.已处理)排除列表 */
    private List <Integer> processStatusNotList;

    /** 申诉说明 */
    private List<String> appealDescList;

    /** 申诉说明排除列表 */
    private List <String> appealDescNotList;
    /** 开始 申诉时间 */
    private String appealTimeStart;

    /** 结束 申诉时间 */
    private String appealTimeEnd;

    /** 开始 申诉结果(1.通过,2.不通过) */
    private Integer appealResultStart;

    /** 结束 申诉结果(1.通过,2.不通过) */
    private Integer appealResultEnd;

    /** 增加 申诉结果(1.通过,2.不通过) */
    private Integer appealResultIncrement;

    /** 申诉结果(1.通过,2.不通过)列表 */
    private List <Integer> appealResultList;

    /** 申诉结果(1.通过,2.不通过)排除列表 */
    private List <Integer> appealResultNotList;

    /** 说明 */
    private List<String> remarkList;

    /** 说明排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 违规类型 */
    private List<String> violationTypeList;

    /** 违规类型排除列表 */
    private List <String> violationTypeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformAttendAppealQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformAttendAppealQuery> andConditionList;

    public PerformAttendAppealQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 核查记录Id
    * @return checkRecordIdStart
    */
    public Long getCheckRecordIdStart(){
        return this.checkRecordIdStart;
    }

    /**
    * 设置 开始 核查记录Id
    * @param checkRecordIdStart
    */
    public void setCheckRecordIdStart(Long checkRecordIdStart){
        this.checkRecordIdStart = checkRecordIdStart;
    }

    /**
    * 获取 结束 核查记录Id
    * @return $checkRecordIdEnd
    */
    public Long getCheckRecordIdEnd(){
        return this.checkRecordIdEnd;
    }

    /**
    * 设置 结束 核查记录Id
    * @param checkRecordIdEnd
    */
    public void setCheckRecordIdEnd(Long checkRecordIdEnd){
        this.checkRecordIdEnd = checkRecordIdEnd;
    }

    /**
    * 获取 增加 核查记录Id
    * @return checkRecordIdIncrement
    */
    public Long getCheckRecordIdIncrement(){
        return this.checkRecordIdIncrement;
    }

    /**
    * 设置 增加 核查记录Id
    * @param checkRecordIdIncrement
    */
    public void setCheckRecordIdIncrement(Long checkRecordIdIncrement){
        this.checkRecordIdIncrement = checkRecordIdIncrement;
    }

    /**
    * 获取 核查记录Id
    * @return checkRecordIdList
    */
    public List<Long> getCheckRecordIdList(){
        return this.checkRecordIdList;
    }

    /**
    * 设置 核查记录Id
    * @param checkRecordIdList
    */
    public void setCheckRecordIdList(List<Long> checkRecordIdList){
        this.checkRecordIdList = checkRecordIdList;
    }

    /**
    * 获取 核查记录Id
    * @return checkRecordIdNotList
    */
    public List<Long> getCheckRecordIdNotList(){
        return this.checkRecordIdNotList;
    }

    /**
    * 设置 核查记录Id
    * @param checkRecordIdNotList
    */
    public void setCheckRecordIdNotList(List<Long> checkRecordIdNotList){
        this.checkRecordIdNotList = checkRecordIdNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 所属考勤组ID
    * @return attendanceGroupIdStart
    */
    public Long getAttendanceGroupIdStart(){
        return this.attendanceGroupIdStart;
    }

    /**
    * 设置 开始 所属考勤组ID
    * @param attendanceGroupIdStart
    */
    public void setAttendanceGroupIdStart(Long attendanceGroupIdStart){
        this.attendanceGroupIdStart = attendanceGroupIdStart;
    }

    /**
    * 获取 结束 所属考勤组ID
    * @return $attendanceGroupIdEnd
    */
    public Long getAttendanceGroupIdEnd(){
        return this.attendanceGroupIdEnd;
    }

    /**
    * 设置 结束 所属考勤组ID
    * @param attendanceGroupIdEnd
    */
    public void setAttendanceGroupIdEnd(Long attendanceGroupIdEnd){
        this.attendanceGroupIdEnd = attendanceGroupIdEnd;
    }

    /**
    * 获取 增加 所属考勤组ID
    * @return attendanceGroupIdIncrement
    */
    public Long getAttendanceGroupIdIncrement(){
        return this.attendanceGroupIdIncrement;
    }

    /**
    * 设置 增加 所属考勤组ID
    * @param attendanceGroupIdIncrement
    */
    public void setAttendanceGroupIdIncrement(Long attendanceGroupIdIncrement){
        this.attendanceGroupIdIncrement = attendanceGroupIdIncrement;
    }

    /**
    * 获取 所属考勤组ID
    * @return attendanceGroupIdList
    */
    public List<Long> getAttendanceGroupIdList(){
        return this.attendanceGroupIdList;
    }

    /**
    * 设置 所属考勤组ID
    * @param attendanceGroupIdList
    */
    public void setAttendanceGroupIdList(List<Long> attendanceGroupIdList){
        this.attendanceGroupIdList = attendanceGroupIdList;
    }

    /**
    * 获取 所属考勤组ID
    * @return attendanceGroupIdNotList
    */
    public List<Long> getAttendanceGroupIdNotList(){
        return this.attendanceGroupIdNotList;
    }

    /**
    * 设置 所属考勤组ID
    * @param attendanceGroupIdNotList
    */
    public void setAttendanceGroupIdNotList(List<Long> attendanceGroupIdNotList){
        this.attendanceGroupIdNotList = attendanceGroupIdNotList;
    }


    /**
    * 获取 所属考勤组名称
    * @return attendanceGroupNameList
    */
    public List<String> getAttendanceGroupNameList(){
        return this.attendanceGroupNameList;
    }

    /**
    * 设置 所属考勤组名称
    * @param attendanceGroupNameList
    */
    public void setAttendanceGroupNameList(List<String> attendanceGroupNameList){
        this.attendanceGroupNameList = attendanceGroupNameList;
    }

    /**
    * 获取 所属考勤组名称
    * @return attendanceGroupNameNotList
    */
    public List<String> getAttendanceGroupNameNotList(){
        return this.attendanceGroupNameNotList;
    }

    /**
    * 设置 所属考勤组名称
    * @param attendanceGroupNameNotList
    */
    public void setAttendanceGroupNameNotList(List<String> attendanceGroupNameNotList){
        this.attendanceGroupNameNotList = attendanceGroupNameNotList;
    }

    /**
    * 获取 开始 扣分时间
    * @return attendanceDateStart
    */
    public String getAttendanceDateStart(){
        return this.attendanceDateStart;
    }

    /**
    * 设置 开始 扣分时间
    * @param attendanceDateStart
    */
    public void setAttendanceDateStart(String attendanceDateStart){
        this.attendanceDateStart = attendanceDateStart;
    }

    /**
    * 获取 结束 扣分时间
    * @return attendanceDateEnd
    */
    public String getAttendanceDateEnd(){
        return this.attendanceDateEnd;
    }

    /**
    * 设置 结束 扣分时间
    * @param attendanceDateEnd
    */
    public void setAttendanceDateEnd(String attendanceDateEnd){
        this.attendanceDateEnd = attendanceDateEnd;
    }

    /**
    * 获取 开始 绩效规则id
    * @return ruleIdStart
    */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
    * 获取 结束 绩效规则id
    * @return $ruleIdEnd
    */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
    * 获取 增加 绩效规则id
    * @return ruleIdIncrement
    */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdList
    */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdNotList
    */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdNotList
    */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
    * 获取 规则名称
    * @return ruleNameList
    */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
    * 获取 规则名称
    * @return ruleNameNotList
    */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameNotList
    */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
    * 获取 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @return subMethodStart
    */
    public Integer getSubMethodStart(){
        return this.subMethodStart;
    }

    /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodStart
    */
    public void setSubMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
    }

    /**
    * 获取 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @return $subMethodEnd
    */
    public Integer getSubMethodEnd(){
        return this.subMethodEnd;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodEnd
    */
    public void setSubMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
    }

    /**
    * 获取 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @return subMethodIncrement
    */
    public Integer getSubMethodIncrement(){
        return this.subMethodIncrement;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodIncrement
    */
    public void setSubMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @return subMethodList
    */
    public List<Integer> getSubMethodList(){
        return this.subMethodList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodList
    */
    public void setSubMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @return subMethodNotList
    */
    public List<Integer> getSubMethodNotList(){
        return this.subMethodNotList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodNotList
    */
    public void setSubMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
    }


    /**
    * 获取 开始 增减类型(1.增加,2.扣除)
    * @return subAddTypeStart
    */
    public Integer getSubAddTypeStart(){
        return this.subAddTypeStart;
    }

    /**
    * 设置 开始 增减类型(1.增加,2.扣除)
    * @param subAddTypeStart
    */
    public void setSubAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
    }

    /**
    * 获取 结束 增减类型(1.增加,2.扣除)
    * @return $subAddTypeEnd
    */
    public Integer getSubAddTypeEnd(){
        return this.subAddTypeEnd;
    }

    /**
    * 设置 结束 增减类型(1.增加,2.扣除)
    * @param subAddTypeEnd
    */
    public void setSubAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
    }

    /**
    * 获取 增加 增减类型(1.增加,2.扣除)
    * @return subAddTypeIncrement
    */
    public Integer getSubAddTypeIncrement(){
        return this.subAddTypeIncrement;
    }

    /**
    * 设置 增加 增减类型(1.增加,2.扣除)
    * @param subAddTypeIncrement
    */
    public void setSubAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
    }

    /**
    * 获取 增减类型(1.增加,2.扣除)
    * @return subAddTypeList
    */
    public List<Integer> getSubAddTypeList(){
        return this.subAddTypeList;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeList
    */
    public void setSubAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
    }

    /**
    * 获取 增减类型(1.增加,2.扣除)
    * @return subAddTypeNotList
    */
    public List<Integer> getSubAddTypeNotList(){
        return this.subAddTypeNotList;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeNotList
    */
    public void setSubAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
    }


    /**
    * 获取 开始 扣分或增加分值
    * @return scoreStart
    */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
    * 获取 结束 扣分或增加分值
    * @return $scoreEnd
    */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
    * 获取 增加 扣分或增加分值
    * @return scoreIncrement
    */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreList
    */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreNotList
    */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreNotList
    */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
    * 获取 上下班时间
    * @return goOffTimeStrList
    */
    public List<String> getGoOffTimeStrList(){
        return this.goOffTimeStrList;
    }

    /**
    * 设置 上下班时间
    * @param goOffTimeStrList
    */
    public void setGoOffTimeStrList(List<String> goOffTimeStrList){
        this.goOffTimeStrList = goOffTimeStrList;
    }

    /**
    * 获取 上下班时间
    * @return goOffTimeStrNotList
    */
    public List<String> getGoOffTimeStrNotList(){
        return this.goOffTimeStrNotList;
    }

    /**
    * 设置 上下班时间
    * @param goOffTimeStrNotList
    */
    public void setGoOffTimeStrNotList(List<String> goOffTimeStrNotList){
        this.goOffTimeStrNotList = goOffTimeStrNotList;
    }

    /**
    * 获取 开始 异常时间
    * @return errorTimeStart
    */
    public String getErrorTimeStart(){
        return this.errorTimeStart;
    }

    /**
    * 设置 开始 异常时间
    * @param errorTimeStart
    */
    public void setErrorTimeStart(String errorTimeStart){
        this.errorTimeStart = errorTimeStart;
    }

    /**
    * 获取 结束 异常时间
    * @return errorTimeEnd
    */
    public String getErrorTimeEnd(){
        return this.errorTimeEnd;
    }

    /**
    * 设置 结束 异常时间
    * @param errorTimeEnd
    */
    public void setErrorTimeEnd(String errorTimeEnd){
        this.errorTimeEnd = errorTimeEnd;
    }

    /**
    * 获取 开始 实际打卡时间
    * @return actualAttendTimeStart
    */
    public String getActualAttendTimeStart(){
        return this.actualAttendTimeStart;
    }

    /**
    * 设置 开始 实际打卡时间
    * @param actualAttendTimeStart
    */
    public void setActualAttendTimeStart(String actualAttendTimeStart){
        this.actualAttendTimeStart = actualAttendTimeStart;
    }

    /**
    * 获取 结束 实际打卡时间
    * @return actualAttendTimeEnd
    */
    public String getActualAttendTimeEnd(){
        return this.actualAttendTimeEnd;
    }

    /**
    * 设置 结束 实际打卡时间
    * @param actualAttendTimeEnd
    */
    public void setActualAttendTimeEnd(String actualAttendTimeEnd){
        this.actualAttendTimeEnd = actualAttendTimeEnd;
    }

    /**
    * 获取 异常处理结果
    * @return errorResultList
    */
    public List<String> getErrorResultList(){
        return this.errorResultList;
    }

    /**
    * 设置 异常处理结果
    * @param errorResultList
    */
    public void setErrorResultList(List<String> errorResultList){
        this.errorResultList = errorResultList;
    }

    /**
    * 获取 异常处理结果
    * @return errorResultNotList
    */
    public List<String> getErrorResultNotList(){
        return this.errorResultNotList;
    }

    /**
    * 设置 异常处理结果
    * @param errorResultNotList
    */
    public void setErrorResultNotList(List<String> errorResultNotList){
        this.errorResultNotList = errorResultNotList;
    }

    /**
    * 获取 核查人员
    * @return checkPersonList
    */
    public List<String> getCheckPersonList(){
        return this.checkPersonList;
    }

    /**
    * 设置 核查人员
    * @param checkPersonList
    */
    public void setCheckPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
    }

    /**
    * 获取 核查人员
    * @return checkPersonNotList
    */
    public List<String> getCheckPersonNotList(){
        return this.checkPersonNotList;
    }

    /**
    * 设置 核查人员
    * @param checkPersonNotList
    */
    public void setCheckPersonNotList(List<String> checkPersonNotList){
        this.checkPersonNotList = checkPersonNotList;
    }

    /**
    * 获取 开始 核查时间
    * @return checkTimeStart
    */
    public String getCheckTimeStart(){
        return this.checkTimeStart;
    }

    /**
    * 设置 开始 核查时间
    * @param checkTimeStart
    */
    public void setCheckTimeStart(String checkTimeStart){
        this.checkTimeStart = checkTimeStart;
    }

    /**
    * 获取 结束 核查时间
    * @return checkTimeEnd
    */
    public String getCheckTimeEnd(){
        return this.checkTimeEnd;
    }

    /**
    * 设置 结束 核查时间
    * @param checkTimeEnd
    */
    public void setCheckTimeEnd(String checkTimeEnd){
        this.checkTimeEnd = checkTimeEnd;
    }

    /**
    * 获取 核查说明
    * @return checkDescList
    */
    public List<String> getCheckDescList(){
        return this.checkDescList;
    }

    /**
    * 设置 核查说明
    * @param checkDescList
    */
    public void setCheckDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
    }

    /**
    * 获取 核查说明
    * @return checkDescNotList
    */
    public List<String> getCheckDescNotList(){
        return this.checkDescNotList;
    }

    /**
    * 设置 核查说明
    * @param checkDescNotList
    */
    public void setCheckDescNotList(List<String> checkDescNotList){
        this.checkDescNotList = checkDescNotList;
    }

    /**
    * 获取 核查结果
    * @return checkResultList
    */
    public List<String> getCheckResultList(){
        return this.checkResultList;
    }

    /**
    * 设置 核查结果
    * @param checkResultList
    */
    public void setCheckResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
    }

    /**
    * 获取 核查结果
    * @return checkResultNotList
    */
    public List<String> getCheckResultNotList(){
        return this.checkResultNotList;
    }

    /**
    * 设置 核查结果
    * @param checkResultNotList
    */
    public void setCheckResultNotList(List<String> checkResultNotList){
        this.checkResultNotList = checkResultNotList;
    }

    /**
    * 获取 开始 处理状态(1.未处理,2.已处理)
    * @return processStatusStart
    */
    public Integer getProcessStatusStart(){
        return this.processStatusStart;
    }

    /**
    * 设置 开始 处理状态(1.未处理,2.已处理)
    * @param processStatusStart
    */
    public void setProcessStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
    }

    /**
    * 获取 结束 处理状态(1.未处理,2.已处理)
    * @return $processStatusEnd
    */
    public Integer getProcessStatusEnd(){
        return this.processStatusEnd;
    }

    /**
    * 设置 结束 处理状态(1.未处理,2.已处理)
    * @param processStatusEnd
    */
    public void setProcessStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
    }

    /**
    * 获取 增加 处理状态(1.未处理,2.已处理)
    * @return processStatusIncrement
    */
    public Integer getProcessStatusIncrement(){
        return this.processStatusIncrement;
    }

    /**
    * 设置 增加 处理状态(1.未处理,2.已处理)
    * @param processStatusIncrement
    */
    public void setProcessStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
    }

    /**
    * 获取 处理状态(1.未处理,2.已处理)
    * @return processStatusList
    */
    public List<Integer> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
    * 设置 处理状态(1.未处理,2.已处理)
    * @param processStatusList
    */
    public void setProcessStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
    * 获取 处理状态(1.未处理,2.已处理)
    * @return processStatusNotList
    */
    public List<Integer> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
    * 设置 处理状态(1.未处理,2.已处理)
    * @param processStatusNotList
    */
    public void setProcessStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }


    /**
    * 获取 申诉说明
    * @return appealDescList
    */
    public List<String> getAppealDescList(){
        return this.appealDescList;
    }

    /**
    * 设置 申诉说明
    * @param appealDescList
    */
    public void setAppealDescList(List<String> appealDescList){
        this.appealDescList = appealDescList;
    }

    /**
    * 获取 申诉说明
    * @return appealDescNotList
    */
    public List<String> getAppealDescNotList(){
        return this.appealDescNotList;
    }

    /**
    * 设置 申诉说明
    * @param appealDescNotList
    */
    public void setAppealDescNotList(List<String> appealDescNotList){
        this.appealDescNotList = appealDescNotList;
    }

    /**
    * 获取 开始 申诉时间
    * @return appealTimeStart
    */
    public String getAppealTimeStart(){
        return this.appealTimeStart;
    }

    /**
    * 设置 开始 申诉时间
    * @param appealTimeStart
    */
    public void setAppealTimeStart(String appealTimeStart){
        this.appealTimeStart = appealTimeStart;
    }

    /**
    * 获取 结束 申诉时间
    * @return appealTimeEnd
    */
    public String getAppealTimeEnd(){
        return this.appealTimeEnd;
    }

    /**
    * 设置 结束 申诉时间
    * @param appealTimeEnd
    */
    public void setAppealTimeEnd(String appealTimeEnd){
        this.appealTimeEnd = appealTimeEnd;
    }

    /**
    * 获取 开始 申诉结果(1.通过,2.不通过)
    * @return appealResultStart
    */
    public Integer getAppealResultStart(){
        return this.appealResultStart;
    }

    /**
    * 设置 开始 申诉结果(1.通过,2.不通过)
    * @param appealResultStart
    */
    public void setAppealResultStart(Integer appealResultStart){
        this.appealResultStart = appealResultStart;
    }

    /**
    * 获取 结束 申诉结果(1.通过,2.不通过)
    * @return $appealResultEnd
    */
    public Integer getAppealResultEnd(){
        return this.appealResultEnd;
    }

    /**
    * 设置 结束 申诉结果(1.通过,2.不通过)
    * @param appealResultEnd
    */
    public void setAppealResultEnd(Integer appealResultEnd){
        this.appealResultEnd = appealResultEnd;
    }

    /**
    * 获取 增加 申诉结果(1.通过,2.不通过)
    * @return appealResultIncrement
    */
    public Integer getAppealResultIncrement(){
        return this.appealResultIncrement;
    }

    /**
    * 设置 增加 申诉结果(1.通过,2.不通过)
    * @param appealResultIncrement
    */
    public void setAppealResultIncrement(Integer appealResultIncrement){
        this.appealResultIncrement = appealResultIncrement;
    }

    /**
    * 获取 申诉结果(1.通过,2.不通过)
    * @return appealResultList
    */
    public List<Integer> getAppealResultList(){
        return this.appealResultList;
    }

    /**
    * 设置 申诉结果(1.通过,2.不通过)
    * @param appealResultList
    */
    public void setAppealResultList(List<Integer> appealResultList){
        this.appealResultList = appealResultList;
    }

    /**
    * 获取 申诉结果(1.通过,2.不通过)
    * @return appealResultNotList
    */
    public List<Integer> getAppealResultNotList(){
        return this.appealResultNotList;
    }

    /**
    * 设置 申诉结果(1.通过,2.不通过)
    * @param appealResultNotList
    */
    public void setAppealResultNotList(List<Integer> appealResultNotList){
        this.appealResultNotList = appealResultNotList;
    }


    /**
    * 获取 说明
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 说明
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 说明
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 说明
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 违规类型
    * @return violationTypeList
    */
    public List<String> getViolationTypeList(){
        return this.violationTypeList;
    }

    /**
    * 设置 违规类型
    * @param violationTypeList
    */
    public void setViolationTypeList(List<String> violationTypeList){
        this.violationTypeList = violationTypeList;
    }

    /**
    * 获取 违规类型
    * @return violationTypeNotList
    */
    public List<String> getViolationTypeNotList(){
        return this.violationTypeNotList;
    }

    /**
    * 设置 违规类型
    * @param violationTypeNotList
    */
    public void setViolationTypeNotList(List<String> violationTypeNotList){
        this.violationTypeNotList = violationTypeNotList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PerformAttendAppealQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PerformAttendAppealQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PerformAttendAppealQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PerformAttendAppealQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PerformAttendAppealQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PerformAttendAppealQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  核查记录Id
    * @param checkRecordId
    */
    public PerformAttendAppealQuery checkRecordId(Long checkRecordId){
	    setCheckRecordId(checkRecordId);
		return this;
    }
	
	 /**
    * 设置 开始 核查记录Id
    * @param checkRecordIdStart
    */
    public PerformAttendAppealQuery checkRecordIdStart(Long checkRecordIdStart){
		this.checkRecordIdStart = checkRecordIdStart;
		return this;
    }

    /**
    * 设置 结束 核查记录Id
    * @param checkRecordIdEnd
    */
    public PerformAttendAppealQuery checkRecordIdEnd(Long checkRecordIdEnd){
		this.checkRecordIdEnd = checkRecordIdEnd;
		return this;
    }

    /**
    * 设置 增加 核查记录Id
    * @param checkRecordIdIncrement
    */
    public PerformAttendAppealQuery checkRecordIdIncrement(Long checkRecordIdIncrement){
		this.checkRecordIdIncrement = checkRecordIdIncrement;
		return this;
    }

    /**
    * 设置 核查记录Id
    * @param checkRecordIdList
    */
    public PerformAttendAppealQuery checkRecordIdList(List<Long> checkRecordIdList){
        this.checkRecordIdList = checkRecordIdList;
		return this;
        }

        /**
        * 设置 核查记录Id
        * @param checkRecordIdNotList
        */
        public PerformAttendAppealQuery checkRecordIdNotList(List<Long> checkRecordIdNotList){
        this.checkRecordIdNotList = checkRecordIdNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public PerformAttendAppealQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public PerformAttendAppealQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public PerformAttendAppealQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public PerformAttendAppealQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public PerformAttendAppealQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public PerformAttendAppealQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public PerformAttendAppealQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public PerformAttendAppealQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


	/**
    * 设置 工号
    * @param workNum
    */
    public PerformAttendAppealQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public PerformAttendAppealQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public PerformAttendAppealQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public PerformAttendAppealQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public PerformAttendAppealQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public PerformAttendAppealQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public PerformAttendAppealQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public PerformAttendAppealQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public PerformAttendAppealQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public PerformAttendAppealQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  所属考勤组ID
    * @param attendanceGroupId
    */
    public PerformAttendAppealQuery attendanceGroupId(Long attendanceGroupId){
	    setAttendanceGroupId(attendanceGroupId);
		return this;
    }
	
	 /**
    * 设置 开始 所属考勤组ID
    * @param attendanceGroupIdStart
    */
    public PerformAttendAppealQuery attendanceGroupIdStart(Long attendanceGroupIdStart){
		this.attendanceGroupIdStart = attendanceGroupIdStart;
		return this;
    }

    /**
    * 设置 结束 所属考勤组ID
    * @param attendanceGroupIdEnd
    */
    public PerformAttendAppealQuery attendanceGroupIdEnd(Long attendanceGroupIdEnd){
		this.attendanceGroupIdEnd = attendanceGroupIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属考勤组ID
    * @param attendanceGroupIdIncrement
    */
    public PerformAttendAppealQuery attendanceGroupIdIncrement(Long attendanceGroupIdIncrement){
		this.attendanceGroupIdIncrement = attendanceGroupIdIncrement;
		return this;
    }

    /**
    * 设置 所属考勤组ID
    * @param attendanceGroupIdList
    */
    public PerformAttendAppealQuery attendanceGroupIdList(List<Long> attendanceGroupIdList){
        this.attendanceGroupIdList = attendanceGroupIdList;
		return this;
        }

        /**
        * 设置 所属考勤组ID
        * @param attendanceGroupIdNotList
        */
        public PerformAttendAppealQuery attendanceGroupIdNotList(List<Long> attendanceGroupIdNotList){
        this.attendanceGroupIdNotList = attendanceGroupIdNotList;
        return this;
        }


	/**
    * 设置 所属考勤组名称
    * @param attendanceGroupName
    */
    public PerformAttendAppealQuery attendanceGroupName(String attendanceGroupName){
        setAttendanceGroupName(attendanceGroupName);
		return this;
    }

    /**
    * 设置 所属考勤组名称
    * @param attendanceGroupNameList
    */
    public PerformAttendAppealQuery attendanceGroupNameList(List<String> attendanceGroupNameList){
        this.attendanceGroupNameList = attendanceGroupNameList;
		return this;
    }


    /**
    * 设置  绩效规则id
    * @param ruleId
    */
    public PerformAttendAppealQuery ruleId(Long ruleId){
	    setRuleId(ruleId);
		return this;
    }
	
	 /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public PerformAttendAppealQuery ruleIdStart(Long ruleIdStart){
		this.ruleIdStart = ruleIdStart;
		return this;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public PerformAttendAppealQuery ruleIdEnd(Long ruleIdEnd){
		this.ruleIdEnd = ruleIdEnd;
		return this;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public PerformAttendAppealQuery ruleIdIncrement(Long ruleIdIncrement){
		this.ruleIdIncrement = ruleIdIncrement;
		return this;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public PerformAttendAppealQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
		return this;
        }

        /**
        * 设置 绩效规则id
        * @param ruleIdNotList
        */
        public PerformAttendAppealQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
        }


	/**
    * 设置 规则名称
    * @param ruleName
    */
    public PerformAttendAppealQuery ruleName(String ruleName){
        setRuleName(ruleName);
		return this;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public PerformAttendAppealQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
		return this;
    }

    /**
    * 设置  扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethod
    */
    public PerformAttendAppealQuery subMethod(Integer subMethod){
	    setSubMethod(subMethod);
		return this;
    }
	
	 /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodStart
    */
    public PerformAttendAppealQuery subMethodStart(Integer subMethodStart){
		this.subMethodStart = subMethodStart;
		return this;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodEnd
    */
    public PerformAttendAppealQuery subMethodEnd(Integer subMethodEnd){
		this.subMethodEnd = subMethodEnd;
		return this;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodIncrement
    */
    public PerformAttendAppealQuery subMethodIncrement(Integer subMethodIncrement){
		this.subMethodIncrement = subMethodIncrement;
		return this;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    * @param subMethodList
    */
    public PerformAttendAppealQuery subMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
		return this;
        }

        /**
        * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
        * @param subMethodNotList
        */
        public PerformAttendAppealQuery subMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
        return this;
        }

    /**
    * 设置  增减类型(1.增加,2.扣除)
    * @param subAddType
    */
    public PerformAttendAppealQuery subAddType(Integer subAddType){
	    setSubAddType(subAddType);
		return this;
    }
	
	 /**
    * 设置 开始 增减类型(1.增加,2.扣除)
    * @param subAddTypeStart
    */
    public PerformAttendAppealQuery subAddTypeStart(Integer subAddTypeStart){
		this.subAddTypeStart = subAddTypeStart;
		return this;
    }

    /**
    * 设置 结束 增减类型(1.增加,2.扣除)
    * @param subAddTypeEnd
    */
    public PerformAttendAppealQuery subAddTypeEnd(Integer subAddTypeEnd){
		this.subAddTypeEnd = subAddTypeEnd;
		return this;
    }

    /**
    * 设置 增加 增减类型(1.增加,2.扣除)
    * @param subAddTypeIncrement
    */
    public PerformAttendAppealQuery subAddTypeIncrement(Integer subAddTypeIncrement){
		this.subAddTypeIncrement = subAddTypeIncrement;
		return this;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeList
    */
    public PerformAttendAppealQuery subAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
		return this;
        }

        /**
        * 设置 增减类型(1.增加,2.扣除)
        * @param subAddTypeNotList
        */
        public PerformAttendAppealQuery subAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
        return this;
        }

    /**
    * 设置  扣分或增加分值
    * @param score
    */
    public PerformAttendAppealQuery score(BigDecimal score){
	    setScore(score);
		return this;
    }
	
	 /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public PerformAttendAppealQuery scoreStart(BigDecimal scoreStart){
		this.scoreStart = scoreStart;
		return this;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public PerformAttendAppealQuery scoreEnd(BigDecimal scoreEnd){
		this.scoreEnd = scoreEnd;
		return this;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public PerformAttendAppealQuery scoreIncrement(BigDecimal scoreIncrement){
		this.scoreIncrement = scoreIncrement;
		return this;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public PerformAttendAppealQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
		return this;
        }

        /**
        * 设置 扣分或增加分值
        * @param scoreNotList
        */
        public PerformAttendAppealQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
        }


	/**
    * 设置 上下班时间
    * @param goOffTimeStr
    */
    public PerformAttendAppealQuery goOffTimeStr(String goOffTimeStr){
        setGoOffTimeStr(goOffTimeStr);
		return this;
    }

    /**
    * 设置 上下班时间
    * @param goOffTimeStrList
    */
    public PerformAttendAppealQuery goOffTimeStrList(List<String> goOffTimeStrList){
        this.goOffTimeStrList = goOffTimeStrList;
		return this;
    }




	/**
    * 设置 异常处理结果
    * @param errorResult
    */
    public PerformAttendAppealQuery errorResult(String errorResult){
        setErrorResult(errorResult);
		return this;
    }

    /**
    * 设置 异常处理结果
    * @param errorResultList
    */
    public PerformAttendAppealQuery errorResultList(List<String> errorResultList){
        this.errorResultList = errorResultList;
		return this;
    }


	/**
    * 设置 核查人员
    * @param checkPerson
    */
    public PerformAttendAppealQuery checkPerson(String checkPerson){
        setCheckPerson(checkPerson);
		return this;
    }

    /**
    * 设置 核查人员
    * @param checkPersonList
    */
    public PerformAttendAppealQuery checkPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
		return this;
    }



	/**
    * 设置 核查说明
    * @param checkDesc
    */
    public PerformAttendAppealQuery checkDesc(String checkDesc){
        setCheckDesc(checkDesc);
		return this;
    }

    /**
    * 设置 核查说明
    * @param checkDescList
    */
    public PerformAttendAppealQuery checkDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
		return this;
    }


	/**
    * 设置 核查结果
    * @param checkResult
    */
    public PerformAttendAppealQuery checkResult(String checkResult){
        setCheckResult(checkResult);
		return this;
    }

    /**
    * 设置 核查结果
    * @param checkResultList
    */
    public PerformAttendAppealQuery checkResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
		return this;
    }

    /**
    * 设置  处理状态(1.未处理,2.已处理)
    * @param processStatus
    */
    public PerformAttendAppealQuery processStatus(Integer processStatus){
	    setProcessStatus(processStatus);
		return this;
    }
	
	 /**
    * 设置 开始 处理状态(1.未处理,2.已处理)
    * @param processStatusStart
    */
    public PerformAttendAppealQuery processStatusStart(Integer processStatusStart){
		this.processStatusStart = processStatusStart;
		return this;
    }

    /**
    * 设置 结束 处理状态(1.未处理,2.已处理)
    * @param processStatusEnd
    */
    public PerformAttendAppealQuery processStatusEnd(Integer processStatusEnd){
		this.processStatusEnd = processStatusEnd;
		return this;
    }

    /**
    * 设置 增加 处理状态(1.未处理,2.已处理)
    * @param processStatusIncrement
    */
    public PerformAttendAppealQuery processStatusIncrement(Integer processStatusIncrement){
		this.processStatusIncrement = processStatusIncrement;
		return this;
    }

    /**
    * 设置 处理状态(1.未处理,2.已处理)
    * @param processStatusList
    */
    public PerformAttendAppealQuery processStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
		return this;
        }

        /**
        * 设置 处理状态(1.未处理,2.已处理)
        * @param processStatusNotList
        */
        public PerformAttendAppealQuery processStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
        return this;
        }


	/**
    * 设置 申诉说明
    * @param appealDesc
    */
    public PerformAttendAppealQuery appealDesc(String appealDesc){
        setAppealDesc(appealDesc);
		return this;
    }

    /**
    * 设置 申诉说明
    * @param appealDescList
    */
    public PerformAttendAppealQuery appealDescList(List<String> appealDescList){
        this.appealDescList = appealDescList;
		return this;
    }


    /**
    * 设置  申诉结果(1.通过,2.不通过)
    * @param appealResult
    */
    public PerformAttendAppealQuery appealResult(Integer appealResult){
	    setAppealResult(appealResult);
		return this;
    }
	
	 /**
    * 设置 开始 申诉结果(1.通过,2.不通过)
    * @param appealResultStart
    */
    public PerformAttendAppealQuery appealResultStart(Integer appealResultStart){
		this.appealResultStart = appealResultStart;
		return this;
    }

    /**
    * 设置 结束 申诉结果(1.通过,2.不通过)
    * @param appealResultEnd
    */
    public PerformAttendAppealQuery appealResultEnd(Integer appealResultEnd){
		this.appealResultEnd = appealResultEnd;
		return this;
    }

    /**
    * 设置 增加 申诉结果(1.通过,2.不通过)
    * @param appealResultIncrement
    */
    public PerformAttendAppealQuery appealResultIncrement(Integer appealResultIncrement){
		this.appealResultIncrement = appealResultIncrement;
		return this;
    }

    /**
    * 设置 申诉结果(1.通过,2.不通过)
    * @param appealResultList
    */
    public PerformAttendAppealQuery appealResultList(List<Integer> appealResultList){
        this.appealResultList = appealResultList;
		return this;
        }

        /**
        * 设置 申诉结果(1.通过,2.不通过)
        * @param appealResultNotList
        */
        public PerformAttendAppealQuery appealResultNotList(List<Integer> appealResultNotList){
        this.appealResultNotList = appealResultNotList;
        return this;
        }


	/**
    * 设置 说明
    * @param remark
    */
    public PerformAttendAppealQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 说明
    * @param remarkList
    */
    public PerformAttendAppealQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformAttendAppealQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformAttendAppealQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformAttendAppealQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformAttendAppealQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformAttendAppealQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformAttendAppealQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformAttendAppealQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformAttendAppealQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformAttendAppealQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformAttendAppealQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformAttendAppealQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformAttendAppealQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }



	/**
    * 设置 违规类型
    * @param violationType
    */
    public PerformAttendAppealQuery violationType(String violationType){
        setViolationType(violationType);
		return this;
    }

    /**
    * 设置 违规类型
    * @param violationTypeList
    */
    public PerformAttendAppealQuery violationTypeList(List<String> violationTypeList){
        this.violationTypeList = violationTypeList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformAttendAppealQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformAttendAppealQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformAttendAppealQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformAttendAppealQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}