package com.mortals.xhx.module.check.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.check.model.CheckOtherRecordEntity;
import com.mortals.xhx.module.check.dao.CheckOtherRecordDao;
/**
* CheckOtherRecordService
*
* 其它绩效核查信息 service接口
*
* @author zxfei
* @date 2023-05-18
*/
public interface CheckOtherRecordService extends ICRUDService<CheckOtherRecordEntity,Long>{

    CheckOtherRecordDao getDao();

    /**
     * 核查人工审核
     * @param entity
     * @param context
     * @throws AppException
     */
    void examine(CheckOtherRecordEntity entity, Context context) throws AppException;
}